<?php
/*	301 move
	name : 301 redirect
	author: team1/3
	
*/

	global $html,$params,$database,$config,$ut,$plugin_ar;

	if (!isset($config)) { die(); }
	
	$page_ar = &$params['page'];
	$p_page = $page_ar['id'];

	$same_site = $other_url = '';
	if (!empty($page_ar['meta']['move301_page'])) {
		$same_site = $page_ar['meta']['move301_page'];
	}
	if (!empty($page_ar['meta']['move301_url'])) {
		$other_url = $page_ar['meta']['move301_url'];
	}

	if (!check_rights()) {
		if ($same_site) {
			header("HTTP/1.1 301 Moved Permanently");
			header("Location: {$ut->link($same_site)}");
			exit();
		}
		if ($other_url) {
			header("HTTP/1.1 301 Moved Permanently");
			header("Location: $other_url");
			exit();
		}
	}
	
	if (check_rights('edit')) {
		snippet_std_setting('301 redirect setting','plugin_301redirect');
	}

$buff = <<<EOT
	<div style = 'background-color: #E8E8E8;padding:10px;position: relative;'>
		301 redirect 
EOT;
		if ($same_site) {
$buff .= <<<EOT
			move to <a href='{$ut->link($same_site)}'>{$ut->link($same_site)}</a>
EOT;
		} else if ($other_url) {
$buff .= <<<EOT
			move to <a href='{$other_url}'>{$other_url}</a>
EOT;
		}
$buff .= <<<EOT
		<input type='button' onclick='ot.plugin_301redirect({$page_ar['id']})' 
			class='onethird-button mini' value='setting' style='position: absolute; right: 10px; top: 5px;' />
	</div>
EOT;
	$html['article'][] = $buff;

 
if (isset($_POST['ajax']) && $_POST['ajax'] == 'plugin_301redirect')  {
	$r = array();
$r['html'] = <<<EOT
	<table>
		<tr>
			<td >Move same site (Page ID)</td>
			<td>
				<input type='text' value='$same_site' data-input='same_site' style='width:100px' />
			</td>
		</tr>
		<tr>
			<td >Move other site (URL)</td>
			<td>
				<input type='text' value='$other_url' data-input='other_url' style='width:400px' />
			</td>
		</tr>
	</table>
EOT;
	echo(json_encode($r));
	exit();
}
 
if (isset($_POST['ajax']) && $_POST['ajax'] == 'save_plugin_301redirect')  {
	$r = array();
	$r['result'] = false;
 
	$page_ar['meta']['move301_page'] = (int)($_POST['same_site']);
	if (!$page_ar['meta']['move301_page']) {
		unset($page_ar['meta']['move301_page']);
	}
	$page_ar['meta']['move301_url'] = sanitize_str($_POST['other_url']);
	if (!$page_ar['meta']['move301_url']) {
		unset($page_ar['meta']['move301_url']);
	}
	$page_ar['metadata'] = serialize64($page_ar['meta']);
	if (mod_data_items($page_ar)) {
		$r['result'] = true;
	}
 
	echo(json_encode($r));
	exit();
}



?>